
CREATE OR ALTER PROCEDURE [dbo].[mob_repuestos]
	@p_eid as varchar (50)='',
	@p_creacion as smalldatetime = 0,
	@p_modificacion as smalldatetime = 0
AS
BEGIN

SELECT id
	,[catalogo.repuesto] elemento
	,cat_catalogo_repuesto_codigoinventario codigo
	,vigente as activo
	,cast(case when (cat_catalogo_repuesto_catalogo_codigo='COMODIN') then
		1
		else 0 end as bit)  AS edita 
FROM [view_cat_catalogo_repuesto]
WHERE  (eid like @p_eid+'%' ) 
	and	vigente=1
	and (@p_creacion=0 or fechacreacion>@p_creacion)
	and (@p_modificacion=0 or fechaModificacion>@p_modificacion)
END
GO
